# To work with ICICI Breeze's platform:
from breeze_connect import BreezeConnect

from utils_v2.string import json

api_key = r"123"
api_secret = r"456"
session_token = r"50114591"

print("Init")
breeze = BreezeConnect(api_key = api_key)
print("Creating session.")
breeze.generate_session(
    api_secret = api_secret,
    session_token = session_token
)

# Getting Customer details:
customer_details = breeze.get_customer_details(api_session = session_token)
print(customer_details)
print("CUSTOMER:", json.to_string(customer_details, default=str))
